# SQLAlchemy 0.5.0 Documentation

Search:
Version: 0.5.0 Last Updated: 01/06/2009 13:41:02

# sqlalchemy.ext

SQLAlchemy has a variety of extensions available which provide extra functionality to SA, either via explicit usage or by augmenting the core behavior.

- declarative
  - Synopsis
  - Defining Attributes
  - Association of Metadata and Engine
  - Configuring Relations
  - Defining Synonyms
  - Table Configuration
  - Mapper Configuration

- associationproxy
  - Simplifying Relations
  - Simplifying Association Object Relations
  - Building Complex Views
  - API

- orderinglist

- serializer

- SqlSoup
  - Introduction
  - Loading objects
    - Full query documentation
  - Modifying objects
  - Joins
  - Relations
  - Advanced Use
    - Accessing the Session
    - Mapping arbitrary Selectables
    - Raw SQL
    - Dynamic table names
  - Extra tests